pike.git / src / modules / _Image_TTF / configure.in

version» Context lines:

pike.git/src/modules/_Image_TTF/configure.in:1:   # - # $Id: configure.in,v 1.2 1998/11/01 05:20:42 per Exp $ + # $Id: configure.in,v 1.3 1998/11/08 18:52:27 mirar Exp $   #   AC_INIT(image_ttf.c)   AC_CONFIG_HEADER(config.h)   AC_ARG_WITH(ttflib, [ --with(out)-ttflib Support TTF via ttf.lib (freetype) (Image.TTF)],[],[with_ttflib=yes])      AC_MODULE_INIT()      if test x$with_ttflib = xyes ; then    AC_CHECK_HEADERS(freetype.h) -  if test $ac_cv_header_freetype_h = yes ; then +  AC_CHECK_HEADERS(ftxkern.h) +  if test $ac_cv_header_freetype_h = yes -a \ +  $ac_cv_header_ftxkern_h = yes ; then    AC_CHECK_LIB(ttf, Load_TrueType_Names, [    AC_DEFINE(HAVE_LIBTTF)    LIBS="${LIBS-} -lttf"    ]) -  +  elif test $ac_cv_header_freetype_h = yes -a \ +  $ac_cv_header_ftxkern_h = no ; then +  AC_MSG_WARN(Detected freetype library (libttf), but too old version)    fi   fi      AC_OUTPUT(Makefile,echo FOO >stamp-h )